///////////////////////////////////////////////////////////////////////////////
// FileParameterSection.cpp
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#include "FileParameterSection.h"
#include <cassert>

VFileParameterSection::VFileParameterSection(int a_Len) : VFileSection(a_Len, PARAMETER_SECTION)
{

}

VFileParameterSection::~VFileParameterSection()
{
	std::vector<VFileParameterRecord *>::iterator RecordIt;

	for (RecordIt = m_pRecords.begin(); RecordIt != m_pRecords.end(); RecordIt++)
	{
		delete *RecordIt;
		*RecordIt = NULL;
	}
}

void VFileParameterSection::PrepareForWrite()
{
	assert(false);
}

SLONG VFileParameterSection::GetDataLength()
{
	assert(false);
	return 0;
}

