///////////////////////////////////////////////////////////////////////////////
// Definitions.h
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include <string>
#include <vector>
#include <cassert>

typedef unsigned char	BYTE; // BYTE should be 1-byte signed value
typedef signed short	SSHORT; //SSHORT should be 2-byte signed value
#ifdef MAC_PLUGIN && (__LP64__ || __I32LP64 )
typedef signed int		SLONG; //SLONG should be 4-byte signed value
#else
typedef signed long		SLONG;
#endif

//enum EDataType		{ EUndefined = 0, EBinary, EText, EShort, ELong, EFloat, EDouble, EBoolean, EStructure };

#define CURRENT_FORMAT_VERSION	1
#define FILE_HEADER_SIZE		4		// bytes
#define FILE_HEADER_PREFIX		"V#"
#define SECTION_HEADER_SIZE		32		// bytes	
#define SECTION_NAME_SIZE		28		// bytes
#define SECTION_LEN_SIZE		4		// bytes
#define PARAMETER_SECTION		"PARAMETER"
#define DATAGROUP_SECTION		"DATAGROUP"
//#define BUFFER_SIZE				250		// bytes
#define BUFFER_SIZE				0
