///////////////////////////////////////////////////////////////////////////////
// FileUnknownSection.h
// Paul Wilson
// Oxford Metrics, May 2000
///////////////////////////////////////////////////////////////////////////////

#pragma once

#include <string>

#include "FileSection.h"
#include "Definitions.h"

class VFileUnknownSection : public VFileSection
{
private:
	BYTE * m_RawData;

public:
	VFileUnknownSection(SLONG a_Len, std::string a_strName, BYTE * a_RawData);
	virtual ~VFileUnknownSection();

	virtual SLONG GetDataLength();
	virtual void PrepareForWrite() {}
};

